Package org.apache.sling.feature.cpconverter

## Enum ContentPackage2FeatureModelConverter.RunModePolicy

- java.lang.Object
- - java.lang.Enum<ContentPackage2FeatureModelConverter.RunModePolicy>
  - - org.apache.sling.feature.cpconverter.ContentPackage2FeatureModelConverter.RunModePolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<ContentPackage2FeatureModelConverter.RunModePolicy>`

Enclosing class:
  ContentPackage2FeatureModelConverter

    public static enum ContentPackage2FeatureModelConverter.RunModePolicy
    extends Enum<ContentPackage2FeatureModelConverter.RunModePolicy>

### Enum Constant Summary

Enum Constants
`DIRECT_ONLY` Only path within containing package is considered for run mode evaluation
`PREPEND_INHERITED` For nesting of multiple levels, run mode constraints are inherited down and prepended

### Method Summary

All Methods Static Methods Concrete Methods
`static ContentPackage2FeatureModelConverter.RunModePolicy` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ContentPackage2FeatureModelConverter.RunModePolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DIRECT_ONLY

    public static final ContentPackage2FeatureModelConverter.RunModePolicy DIRECT_ONLY

Only path within containing package is considered for run mode evaluation

#### PREPEND_INHERITED

    public static final ContentPackage2FeatureModelConverter.RunModePolicy PREPEND_INHERITED

For nesting of multiple levels, run mode constraints are inherited down and prepended

### Method Detail

#### values

    public static ContentPackage2FeatureModelConverter.RunModePolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ContentPackage2FeatureModelConverter.RunModePolicy c : ContentPackage2FeatureModelConverter.RunModePolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ContentPackage2FeatureModelConverter.RunModePolicy valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null